### Method

# Foundry GitVcs unstage_entry

#### Declaration [src]

    DexFuture*
    foundry_git_vcs_unstage_entry (
      FoundryGitVcs* self,
      FoundryGitStatusEntry* entry
    )

#### Description

No description available.

#### Parameters

`entry`

  Type: `FoundryGitStatusEntry`

  A `FoundryGitStatusEntry`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.